# $Revision: 1.23.2.2 $, $Date: 2003/04/11 20:29:05 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Simple
Summary:	XML::Simple - easy API to read/write XML (esp config files)
Summary(pl):	XML::Simple - proste API do czytania/pisania XML (zw. plikw konfiguracyjnych)
Name:		perl-XML-Simple
Version:	2.04
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-Storable
BuildRequires:	perl-XML-Parser >= 2.00
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{!?_without_tests:1}0
# not really necessary - only to resolve dependencies:
BuildRequires:	perl-XML-SAX
# tests fail if present:
BuildConflicts:	perl-XML-LibXML-SAX
%endif
Requires:	perl-XML-Parser >= 2.00
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XML::Simple module provides a simple API layer on top of an
underlying XML parsing module (either XML::Parser or one of the SAX2
parser modules).

%description -l pl
Modu XML::Simple udostpnia prost warstw API w oparciu o zasadniczy
modu analizy XML (albo XML::Parser, albo jeden z moduw
analizujcych SAX2).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%doc %{_mandir}/man3/*
%{perl_sitelib}/XML/Simple.pm

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Simple.spec,v $
Revision 1.23.2.2  2003/04/11 20:29:05  ankry
- updated to 2.04
- more informative summary / description

Revision 1.23.2.1  2003/03/13 00:59:27  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.23  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.22  2003/02/21 23:02:31  ankry
- updated to 2.03
- tests conditional
- BC: perl-XML-LibXML-SAX

Revision 1.21  2003/02/18 15:39:15  ankry
- massive attack: change CPAN URLs

Revision 1.20  2003/01/15 18:42:47  mis
- autoupdated to 2.02

Revision 1.19  2002/07/25 05:37:09  kloczek
- release 4.

Revision 1.18  2002/07/13 23:11:44  qboosh
- new %%doc and cosmetics; explicit Requires for XML::Parser

Revision 1.17  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/21 01:19:19  agaran
its required for install, and checked in build stage

Revision 1.14  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.13  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.11  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.10  2002/02/12 01:42:48  kloczek
- updated to 1.08.

Revision 1.9  2002/02/10 15:41:13  depesz
adapterized

Revision 1.8  2002/02/09 12:59:38  depesz
- unfied source path

Revision 1.7  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.5  2001/11/27 16:53:25  mis
- autoupdated to 1.06

Revision 1.4  2001/04/17 12:18:44  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.3  2001/04/14 23:46:19  baggins
- release 2
- removed empty perl_sitearch dir from %%files

Revision 1.2  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/02/12 11:42:35  depesz
- brand new module - initial release
